Start challenge for user
curl --request POST \
--url https://{subdomain}.nudj.cx/api/v2/integration/challenges/{challengeId}/start \
--header 'Content-Type: application/json' \
--header 'x-api-token: <api-key>' \
--data '
{
"communityId": "<string>"
}
'import requests
url = "https://{subdomain}.nudj.cx/api/v2/integration/challenges/{challengeId}/start"
payload = { "communityId": "<string>" }
headers = {
"x-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({communityId: '<string>'})
};
fetch('https://{subdomain}.nudj.cx/api/v2/integration/challenges/{challengeId}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Challenges
Start challenge for user
Start a challenge or new attempt for the authenticated user. Returns error if challenge is already in progress.
POST
/
challenges
/
{challengeId}
/
start
Start challenge for user
Authorizations
Headers
The language to return the challenge progress in. If not provided, the default language for the organisation will be used.
Path Parameters
The ID of the challenge to start
Body
application/json
The ID of the community where the challenge is being started from. Used for cross-community challenges to track which community the user is engaging with.
Response
Successful response
Was this page helpful?
⌘I

